Oracle DBA Tips and Techniques

By Arjun Raja

EXPDP – ORA-39142: incompatible version number 3.1

Posted by Arjun Raja on June 7, 2011

Task –

Using EXPDP export a schema in a 11.2.0.2 database and import the dump into a 10.2.0.3 database.

If a normal expdp export is carried out and you attempt to import that dump into a 10.2.0.3 database the following error will be thrown on import.

impdp xxxxxxxx/xxxxxx parfile=imp.par

Import: Release 10.2.0.3.0 – 64bit Production on Tuesday, 07 June, 2011 10:43:15

Copyright (c) 2003, 2005, Oracle. All rights reserved.

Connected to: Oracle Database 10g Enterprise Edition Release 10.2.0.3.0 – 64bit Production
With the Partitioning, OLAP and Data Mining options
ORA-39001: invalid argument value
ORA-39000: bad dump file specification
ORA-39142: incompatible version number 3.1 in dump file
“/u01/oracle/dpdump/expdat.dmp”

To avoid this error –

While exporting data in the 11g database add the following to the export syntax ( version=10.2)

expdp xxxxx/xxxxx parfile=exp.par version=10.2

Now import the dump into the 10.2.0.3 database.

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

 
%d bloggers like this: